# pandas.Series.cat.remove_unused_categories

Series.cat.remove_unused_categories(*args, **kwargs)

  Remove categories which are not used.

  Parameters
    inplace bool, default False

      Whether or not to drop unused categories inplace or return a copy of this categorical with unused categories dropped.

      Deprecated since version 1.2.0.

  Returns
    cat Categorical or None

      Categorical with unused categories dropped or None if `inplace=True`.

  See also

  `rename_categories`

    Rename categories.

  `reorder_categories`

    Reorder categories.

  `add_categories`

    Add new categories.

  `remove_categories`

    Remove the specified categories.

  `set_categories`

    Set the categories to the specified ones.